Zum Hauptinhalt springen

List Domain-Migrations belonging to a Project

GET/v2/projects/{projectId}/domain-migrations
API-Version
v2
Request-Methode
GET
Operation-ID
domain-migration-list-migrations-by-project-id

Request​

  • projectIdstringrequired

    ID of the Project to list Domain-Migrations for.

Responses​

Format
application/json
Beschreibung

OK

  • Array[
    • *object
      • createdAtstring (date-time)
      • domainsArray von objectrequired
        • Array[
          • *object
            • coabDataobject
              • dnsRecordsArray von object
                • Array[
                  • *object
                    • namestring
                    • ttlinteger (≥ 60)required
                    • typestring (einer von: A, AAAA, TXT, MX, CNAME, SRV, CAA, NS)required
                    • valuestringrequired
                  ]
              • handleDataobject
                • handleFieldsArray von object
                  • Array[
                    • *object
                      • namestringrequired
                      • valuestringrequired
                    ]
                • handleRefstring
              • nameserversArray von string
                • Array[
                  • *string
                  ]
              • subdomainsArray von object
                • Array[
                  • *object
                    • dnsRecordsArray von objectrequired
                      • Array[
                        • *object
                          • namestring
                          • ttlinteger (≥ 60)required
                          • typestring (einer von: A, AAAA, TXT, MX, CNAME, SRV, CAA, NS)required
                          • valuestringrequired
                        ]
                    • hostnamestringrequired
                    • targetstring
                  ]
            • domainstring (idn-hostname)required
            • domainIdstring (uuid)required
            • statestring (einer von: pending, succeeded, failed)required
          ]
      • finishedAtstring (date-time)
      • idstring (uuid)required
      • pAccountstringrequired
      • projectIdstring (uuid)required
    ]
Content-Type: application/json

[
{
"createdAt": "1985-10-26T01:21:00.000Z",
"domains": [
{
"coabData": {
"dnsRecords": [
{
"name": "string",
"ttl": 123,
"type": "A",
"value": "string"
}
],
"handleData": {
"handleFields": [
{
"name": "string",
"value": "string"
}
],
"handleRef": "string"
},
"nameservers": [
"string"
],
"subdomains": [
{
"dnsRecords": [
{
"name": "string",
"ttl": 123,
"type": "A",
"value": "string"
}
],
"hostname": "string",
"target": "string"
}
]
},
"domain": "some-hostname.example",
"domainId": "f0f86186-0a5a-45b2-aa33-502777496347",
"state": "pending"
}
],
"finishedAt": "1985-10-26T01:21:00.000Z",
"id": "f0f86186-0a5a-45b2-aa33-502777496347",
"pAccount": "string",
"projectId": "f0f86186-0a5a-45b2-aa33-502777496347"
}
]
{
"items": {
"properties": {
"createdAt": {
"format": "date-time",
"type": "string"
},
"domains": {
"items": {
"properties": {
"coabData": {
"properties": {
"dnsRecords": {
"items": {
"properties": {
"name": {
"type": "string"
},
"ttl": {
"maximum": 86400,
"minimum": 60,
"type": "integer"
},
"type": {
"enum": [
"A",
"AAAA",
"TXT",
"MX",
"CNAME",
"SRV",
"CAA",
"NS"
],
"type": "string"
},
"value": {
"type": "string"
}
},
"required": [
"type",
"value",
"ttl"
],
"type": "object"
},
"type": "array"
},
"handleData": {
"properties": {
"handleFields": {
"items": {
"properties": {
"name": {
"type": "string"
},
"value": {
"type": "string"
}
},
"required": [
"name",
"value"
],
"type": "object"
},
"type": "array"
},
"handleRef": {
"type": "string"
}
},
"type": "object"
},
"nameservers": {
"items": {
"type": "string"
},
"type": "array"
},
"subdomains": {
"items": {
"properties": {
"dnsRecords": {
"items": {
"properties": {
"name": {
"type": "string"
},
"ttl": {
"maximum": 86400,
"minimum": 60,
"type": "integer"
},
"type": {
"enum": [
"A",
"AAAA",
"TXT",
"MX",
"CNAME",
"SRV",
"CAA",
"NS"
],
"type": "string"
},
"value": {
"type": "string"
}
},
"required": [
"type",
"value",
"ttl"
],
"type": "object"
},
"type": "array"
},
"hostname": {
"type": "string"
},
"target": {
"type": "string"
}
},
"required": [
"hostname",
"dnsRecords"
],
"type": "object"
},
"type": "array"
}
},
"type": "object"
},
"domain": {
"format": "idn-hostname",
"type": "string"
},
"domainId": {
"format": "uuid",
"type": "string"
},
"state": {
"enum": [
"pending",
"succeeded",
"failed"
],
"type": "string"
}
},
"required": [
"domain",
"domainId",
"state"
],
"type": "object"
},
"type": "array"
},
"finishedAt": {
"format": "date-time",
"type": "string"
},
"id": {
"format": "uuid",
"type": "string"
},
"pAccount": {
"type": "string"
},
"projectId": {
"format": "uuid",
"type": "string"
}
},
"required": [
"id",
"pAccount",
"projectId",
"domains"
],
"type": "object"
},
"type": "array"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/projects/string/domain-migrations
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.migrationListMigrationsByProjectId({
"projectId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\MigrationListMigrationsByProjectId\MigrationListMigrationsByProjectIdRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new MigrationListMigrationsByProjectIdRequest(
projectId: "string"
));
$response = $client->domain()->migrationListMigrationsByProjectId($request);

var_dump($response->getBody();

Auf dieser Seite